'''
@author: Claudio Gomes and Bruno Barroca
'''

from Options import Options
import os
from woven_cbd_tfsa_lib import CBDFSAPlotter
from models.powerwindow import PowerWindowCBD
from woven_cbd_tfsa_simulator import Controller

CBD_DELTA = 0.01

if __name__ == '__main__':
    
    options = Options(delta = CBD_DELTA)
    options.setMaxIterations(int(10 / CBD_DELTA));
    cbdmodel = PowerWindowCBD("powerwindow", CBD_DELTA)
    plotter = CBDFSAPlotter(cbdmodel)
    controller = Controller(options, cbdmodel, plotter, keep_running=False)
    controller.start()
    controller.join()
    